LookupUtilTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.lookup.LookupUtilTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.lookup
Class LookupUtilTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.lookup.LookupUtilTagsHandler

public class LookupUtilTagsHandler
extends EjbTagsHandler

Version:
  $Revision: 1.11 $
Author:
  Ara Abrahamian (ara_e@email.com)
xdoclet.taghandler
  namespace="EjbUtilObj"
created
  Oct 15, 2001

Field Summary

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`LookupUtilTagsHandler()`

Method Summary
`static String` | `getUtilClassFor(xjavadoc.XClass clazz)` Similar to `InterfaceTagsHandler.getComponentInterface(java.lang.String, xjavadoc.XClass)`.
`protected static String` | `getUtilClassPattern()` Gets the UtilClassPattern attribute of the UtilTagsHandler class
`String` | `lookupKind()` Describe what the method does
`String` | `utilClass(Properties attributes)` Returns the full qualified utility class name for the bean

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookupUtilTagsHandler

    public LookupUtilTagsHandler()

Method Detail

### getUtilClassFor

    public static String getUtilClassFor(xjavadoc.XClass clazz)

  Similar to `InterfaceTagsHandler.getComponentInterface(java.lang.String, xjavadoc.XClass)`. Relies on the ejb:home tag, which has the following relevant properties:
  - remote-class: The fully qualified name of the remote class - overrides all set patterns
  - local-class: The fully qualified name of the local class - overrides all set patterns
  - remote-pattern: The pattern to be used to determine the unqualified name of the remote class
  - local-pattern: The pattern to be used to determine the unqualified name of the local class
  - pattern: The pattern to be used in determining the unqualified remote and/or local home interface name - used where remote- or local- pattern are not specified.
  - remote-package: The package the remote home interface is to be placed in
  - local-package: The package the local home interface is to be placed in
  - package: The package the remote and/or local home interface is to be placed in - used where remote- or local- package are not specified.

  Parameters:
    `clazz` - Description of Parameter
  Returns:
    The HomeInterface value

### getUtilClassPattern

    protected static String getUtilClassPattern()

  Gets the UtilClassPattern attribute of the UtilTagsHandler class

  Returns:
    The UtilClassPattern value

### lookupKind

    public String lookupKind()
                      throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException`

### utilClass

    public String utilClass(Properties attributes)
                     throws XDocletException

  Returns the full qualified utility class name for the bean

  Parameters:
    `attributes` - The attributes of the template tag
  Returns:
    Utility class name
  Throws:
    `XDocletException`
  doc.tag
    type="content"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD